Update Subscriber
Updates a Subscriber.
Read Only Fields
- id
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
subscriber_id
The ID of the Subscriber requested.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
channel_id
The channel ID where the subscriber was created.
consents
Shows the active subscriptions a shopper may have. If the consents array is empty, the user has unsubscribed or didn’t enable the newsletter subscription checkbox during checkout. The array will contain consent types like ‘marketing_newsletter’ and ‘abandoned_cart’.
Allowed values:
email
The email of the subscriber. Must be unique.
first_name
The first name of the subscriber.
last_name
The last name of the subscriber.
order_id
The ID of the source order, if source was an order.
source
The source of the subscriber. Values are: storefront, order, or custom.
Response
OK
data
Full subscriber object returned in responses.
meta
Response metadata.
Errors
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error